@-------------------------------------------------------------------------
@  file : syscall.s
@  2003/06/26
@  2007/05/09 arm eabi
@  Copyright (C) 2003-2007  Jun Mizutani <mizutani.jun@nifty.ne.jp>
@-------------------------------------------------------------------------

.ifndef __SYSCALL
__SYSCALL = 1

sys_ni_syscall              = 0x000000
sys_exit                    = 0x000001
sys_fork                    = 0x000002
sys_read                    = 0x000003
sys_write                   = 0x000004
sys_open                    = 0x000005
sys_close                   = 0x000006
sys_ni_syscall              = 0x000007        @ was sys_waitpid
sys_creat                   = 0x000008
sys_link                    = 0x000009
sys_unlink                  = 0x00000A
sys_execve                  = 0x00000B
sys_chdir                   = 0x00000C
sys_time                    = 0x00000D        @ used by libc4
sys_mknod                   = 0x00000E
sys_chmod                   = 0x00000F
sys_lchown16                = 0x000010
sys_ni_syscall              = 0x000011        @ was sys_break
sys_ni_syscall              = 0x000012        @ was sys_stat
sys_lseek                   = 0x000013
sys_getpid                  = 0x000014
sys_mount                   = 0x000015
sys_oldumount               = 0x000016        @ used by libc4
sys_setuid16                = 0x000017
sys_getuid16                = 0x000018
sys_stime                   = 0x000019
sys_ptrace                  = 0x00001A
sys_alarm                   = 0x00001B        @ used by libc4
sys_ni_syscall              = 0x00001C        @ was sys_fstat
sys_pause                   = 0x00001D
sys_utime                   = 0x00001E        @ used by libc4
sys_ni_syscall              = 0x00001F        @ was sys_stty
sys_ni_syscall              = 0x000020        @ was sys_getty
sys_access                  = 0x000021
sys_nice                    = 0x000022
sys_ni_syscall              = 0x000023        @ was sys_ftime
sys_sync                    = 0x000024
sys_kill                    = 0x000025
sys_rename                  = 0x000026
sys_mkdir                   = 0x000027
sys_rmdir                   = 0x000028
sys_dup                     = 0x000029
sys_pipe                    = 0x00002A
sys_times                   = 0x00002B
sys_ni_syscall              = 0x00002C        @ was sys_prof
sys_brk                     = 0x00002D
sys_setgid16                = 0x00002E
sys_getgid16                = 0x00002F
sys_ni_syscall              = 0x000030        @ was sys_signal
sys_geteuid16               = 0x000031
sys_getegid16               = 0x000032
sys_acct                    = 0x000033
sys_umount                  = 0x000034
sys_ni_syscall              = 0x000035        @ was sys_lock
sys_ioctl                   = 0x000036
sys_fcntl                   = 0x000037
sys_ni_syscall              = 0x000038        @ was sys_mpx
sys_setpgid                 = 0x000039
sys_ni_syscall              = 0x00003A        @ was sys_ulimit
sys_ni_syscall              = 0x00003B        @ was sys_olduname
sys_umask                   = 0x00003C
sys_chroot                  = 0x00003D
sys_ustat                   = 0x00003E
sys_dup2                    = 0x00003F
sys_getppid                 = 0x000040
sys_getpgrp                 = 0x000041
sys_setsid                  = 0x000042
sys_sigaction               = 0x000043
sys_ni_syscall              = 0x000044        @ was sys_sgetmask
sys_ni_syscall              = 0x000045        @ was sys_ssetmask
sys_setreuid16              = 0x000046
sys_setregid16              = 0x000047
sys_sigsuspend_wrapper      = 0x000048
sys_sigpending              = 0x000049
sys_sethostname             = 0x00004A
sys_setrlimit               = 0x00004B
sys_old_getrlimit           = 0x00004C        @ used by libc4
sys_getrusage               = 0x00004D
sys_gettimeofday            = 0x00004E
sys_settimeofday            = 0x00004F
sys_getgroups16             = 0x000050
sys_setgroups16             = 0x000051
old_select                  = 0x000052        @ used by libc4
sys_symlink                 = 0x000053
sys_ni_syscall              = 0x000054        @ was sys_lstat
sys_readlink                = 0x000055
sys_uselib                  = 0x000056
sys_swapon                  = 0x000057
sys_reboot                  = 0x000058
old_readdir                 = 0x000059        @ used by libc4
old_mmap                    = 0x00005A        @ used by libc4
sys_munmap                  = 0x00005B
sys_truncate                = 0x00005C
sys_ftruncate               = 0x00005D
sys_fchmod                  = 0x00005E
sys_fchown16                = 0x00005F
sys_getpriority             = 0x000060
sys_setpriority             = 0x000061
sys_ni_syscall              = 0x000062        @ was sys_profil
sys_statfs                  = 0x000063
sys_fstatfs                 = 0x000064
sys_ni_syscall              = 0x000065
sys_socketcall              = 0x000066
sys_syslog                  = 0x000067
sys_setitimer               = 0x000068
sys_getitimer               = 0x000069
sys_newstat                 = 0x00006A
sys_newlstat                = 0x00006B
sys_newfstat                = 0x00006C
sys_ni_syscall              = 0x00006D        @ was sys_uname
sys_ni_syscall              = 0x00006E        @ was sys_iopl
sys_vhangup                 = 0x00006F
sys_ni_syscall              = 0x000070
sys_syscall                 = 0x000071        @ call a syscall
sys_wait4                   = 0x000072
sys_swapoff                 = 0x000073
sys_sysinfo                 = 0x000074
sys_ipc                     = 0x000075
sys_fsync                   = 0x000076
sys_sigreturn_wrapper       = 0x000077
sys_clone_wapper            = 0x000078
sys_setdomainname           = 0x000079
sys_newuname                = 0x00007A
sys_ni_syscall              = 0x00007B
sys_adjtimex                = 0x00007C
sys_mprotect                = 0x00007D
sys_sigprocmask             = 0x00007E
sys_create_module           = 0x00007F
sys_init_module             = 0x000080
sys_delete_module           = 0x000081
sys_get_kernel_syms         = 0x000082
sys_quotactl                = 0x000083
sys_getpgid                 = 0x000084
sys_fchdir                  = 0x000085
sys_bdflush                 = 0x000086
sys_sysfs                   = 0x000087
sys_personality             = 0x000088
sys_ni_syscall              = 0x000089        @ long  _sys_afs_syscall
sys_setfsuid16              = 0x00008A
sys_setfsgid16              = 0x00008B
sys_llseek                  = 0x00008C
sys_getdents                = 0x00008D
sys_select                  = 0x00008E
sys_flock                   = 0x00008F
sys_msync                   = 0x000090
sys_readv                   = 0x000091
sys_writev                  = 0x000092
sys_getsid                  = 0x000093
sys_fdatasync               = 0x000094
sys_sysctl                  = 0x000095
sys_mlock                   = 0x000096
sys_munlock                 = 0x000097
sys_mlockall                = 0x000098
sys_munlockall              = 0x000099
sys_sched_setparam          = 0x00009A
sys_sched_getparam          = 0x00009B
sys_sched_setscheduler      = 0x00009C
sys_sched_getscheduler      = 0x00009D
sys_sched_yield             = 0x00009E
sys_sched_get_priority_max  = 0x00009F
sys_sched_get_priority_min  = 0x0000A0
sys_sched_rr_get_interval   = 0x0000A1
sys_nanosleep               = 0x0000A2
sys_arm_mremap              = 0x0000A3
sys_setresuid16             = 0x0000A4
sys_getresuid16             = 0x0000A5
sys_ni_syscall              = 0x0000A6
sys_query_module            = 0x0000A7
sys_poll                    = 0x0000A8
sys_nfsservctl              = 0x0000A9
sys_setresgid16             = 0x0000AA
sys_getresgid16             = 0x0000AB
sys_prctl                   = 0x0000AC
sys_rt_sigreturn_wrapper    = 0x0000AD
sys_rt_sigaction            = 0x0000AE
sys_rt_sigprocmask          = 0x0000AF
sys_rt_sigpending           = 0x0000B0
sys_rt_sigtimedwait         = 0x0000B1
sys_rt_sigqueueinfo         = 0x0000B2
sys_rt_sigsuspend_wrapper   = 0x0000B3
sys_pread                   = 0x0000B4
sys_pwrite                  = 0x0000B5
sys_chown16                 = 0x0000B6
sys_getcwd                  = 0x0000B7
sys_capget                  = 0x0000B8
sys_capset                  = 0x0000B9
sys_sigaltstack_wrapper     = 0x0000BA
sys_sendfile                = 0x0000BB
sys_ni_syscall              = 0x0000BC
sys_ni_syscall              = 0x0000BD
sys_vfork_wrapper           = 0x0000BE
sys_getrlimit               = 0x0000BF
sys_mmap2                   = 0x0000C0
sys_truncate64              = 0x0000C1
sys_ftruncate64             = 0x0000C2
sys_stat64                  = 0x0000C3
sys_lstat64                 = 0x0000C4
sys_fstat64                 = 0x0000C5
sys_lchown                  = 0x0000C6
sys_getuid                  = 0x0000C7
sys_getgid                  = 0x0000C8
sys_geteuid                 = 0x0000C9
sys_getegid                 = 0x0000CA
sys_setreuid                = 0x0000CB
sys_setregid                = 0x0000CC
sys_getgroups               = 0x0000CD
sys_setgroups               = 0x0000CE
sys_fchown                  = 0x0000CF
sys_setresuid               = 0x0000D0
sys_getresuid               = 0x0000D1
sys_setresgid               = 0x0000D2
sys_getresgid               = 0x0000D3
sys_chown                   = 0x0000D4
sys_setuid                  = 0x0000D5
sys_setgid                  = 0x0000D6
sys_setfsuid                = 0x0000D7
sys_setfsgid                = 0x0000D8
sys_getdents64              = 0x0000D9
sys_pivot_root              = 0x0000DA
sys_mincore                 = 0x0000DB
sys_madvise                 = 0x0000DC
sys_fcntl64                 = 0x0000DD

.endif
